Everything is broken all the time
author |
Steve Losh <steve@stevelosh.com> |
date |
Thu, 02 Jan 2020 15:13:18 -0500 |
parents |
1790650ca732
|
children |
72582740f458
|
branches/tags |
(none) |
files |
bin/fucked-screenshot stumpwmrc |
Changes
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/bin/fucked-screenshot Thu Jan 02 15:13:18 2020 -0500
@@ -0,0 +1,5 @@
+#!/usr/bin/env bash
+
+set -euo pipefail
+
+ls -1 ~/screenshots/*.png | sort -nr | head -1 | xargs cp -t ~/Dropbox/fucked-screenshots/
--- a/stumpwmrc Fri Dec 27 10:34:00 2019 -0500
+++ b/stumpwmrc Thu Jan 02 15:13:18 2020 -0500
@@ -231,6 +231,9 @@
(defcommand screenshot () ()
(run-shell-command "screenshot"))
+(defcommand save-fucked-screenshot () ()
+ (run-shell-command "fucked-screenshot"))
+
;;;; Brightness ---------------------------------------------------------------
(defparameter *brightness-values* #(0 1 5 10 25 50 75 100))
@@ -479,6 +482,7 @@
("H-o" "spotify")
("H-q" "exec lock-screen")
("H-y" "screenshot")
+ ("H-f" "save-fucked-screenshot")
("H-r" "loadrc")
("H-V" "vlime"))